For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
      • GETGet all a user's workspaces
      • POSTCreate a workspace
      • GETGet workspace
      • PATCHUpdate a workspace
      • GETGet the balance of a workspace
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceWorkspaces

Get workspace

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/workspaces/:workspace_id/
GET
/api/v1/workspaces/:workspace_id/
$curl https://api.prolific.com/api/v1/workspaces/workspace_id/ \
> -H "Authorization: Token <token>"
1{
2 "id": "62fce6fff0a78eb4f3ebc09c",
3 "title": "My workspace",
4 "description": "This workspace does...",
5 "owner": "60a42f4c693c29420793cb73",
6 "users": [
7 {
8 "id": "60a42f4c693c29420793cb73",
9 "name": "Joe Soap",
10 "email": "joe.soap@gmail.com",
11 "roles": [
12 "WORKSPACE_ADMIN"
13 ]
14 }
15 ],
16 "projects": [
17 {
18 "id": "60a42f4c693c29420793cb73",
19 "title": "string",
20 "type": "PRIVATE"
21 }
22 ],
23 "wallet": "61a65c06b084910b3f0c00d6"
24}
Gets a workspace's details
Was this page helpful?
Previous

Create a workspace

Next

Update a workspace

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

workspace_idstringRequired
Workspace id

Response

Success
idstring
Workspace id. It is created by Prolific.
titlestring
Name of workspace
descriptionstring
What is this workspace used for
ownerstring
Workspace id. It is created by Prolific.
userslist of objects
Data for a user related to a workspace
projectslist of objects
Data for a project related to a workspace
walletstring
Wallet tied to workspace
naivety_distribution_ratedouble or null0-1Deprecated
The rate at which the studies within this workspace are distributed.

Errors

4XX
Client Request Error